Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.

Headers

x-pd-environment
enum<string>
required

The environment in which the server client is running

Available options:
development,
production

Path Parameters

project_id
string
required

The project ID, which starts with proj_.

Pattern: ^proj_[a-zA-Z0-9]+$

Body

application/json

Request options for reloading a component's props when dealing with dynamic props

id
string
required

The component ID

external_user_id
string
required

The external user ID

version
string | null
default:latest

Component semantic version

Example:

"1.0.0"

blocking
boolean

Whether this operation should block until completion

configured_props
object

The configured properties of the component

dynamic_props_id
string

The ID for dynamic props

Response

component props reloaded

Response from reloading component props

observations
object[]
errors
string[]

Any errors that occurred during configuration

dynamicProps
object

Dynamic properties of a saved component